[command]
name = "CPU1"
command = a, D, D, D, D, D, D, D
time = 1

[command]
name = "CPU2"
command = D, a, D, D, D, D, D, D
time = 1

[command]
name = "CPU3"
command = D, D, a, D, D, D, D, D
time = 1

[command]
name = "CPU4"
command = z, z, z, z, z, z, z, z
time = 1
F
[command]
name = "CPU5"
command = z, z, z, z, z, a, z, z
time = 1

[command]
name = "CPU6"
command = z, z, z, z, z, z, z, a
time = 1

[command]
name = "CPU7"
command = B, B, B, B, B, B, a, B
time = 1

[command]
name = "CPU8"
command = B, B, B, B, B, B, B, B
time = 1

[command]
name = "CPU9"
command = B, B, a, B, B, B, B, B
time = 1

[command]
name = "CPU10"
command = x, x, a, x, x, x, x, x
time = 1

[command]
name = "CPU11"
command = x, x, x, x, x, x, x, a
time = 1

[command]
name = "CPU12"
command = x, x, x, x, x, x, x, x
time = 1

[command]
name = "CPU13"
command = U, U, U, U, a, U, U, U
time = 1

[command]
name = "CPU14"
command = U, U, U, a, U, a, U, U
time = 1

[command]
name = "CPU15"
command = U, U, U, a, U, a, U, a
time = 1

[command]
name = "CPU1"
command = a, D, D, D, D, D, D, D
time = 1

[command]
name = "CPU2"
command = D, a, D, D, D, D, D, D
time = 1

[command]
name = "CPU3"
command = D, D, a, D, D, D, D, D
time = 1

[command]
name = "CPU4"
command = z, z, z, z, z, z, z, z
time = 1

[command]
name = "CPU5"
command = z, z, z, z, z, a, z, z
time = 1

[command]
name = "CPU6"
command = z, z, z, z, z, z, z, a
time = 1

[command]
name = "CPU7"
command = B, B, B, B, B, B, a, B
time = 1

[command]
name = "CPU8"
command = B, B, B, B, B, B, B, B
time = 1

[command]
name = "CPU9"
command = B, B, a, B, B, B, B, B
time = 1

[command]
name = "CPU10"
command = x, x, a, x, x, x, x, x
time = 1

[command]
name = "CPU11"
command = x, x, x, x, x, x, x, a
time = 1

[command]
name = "CPU12"
command = x, x, x, x, x, x, x, x
time = 1

[command]
name = "CPU13"
command = U, U, U, U, a, U, U, U
time = 1

[command]
name = "CPU14"
command = U, U, U, a, U, a, U, U
time = 1

[command]
name = "CPU15"
command = U, U, U, a, U, a, U, a
time = 1

[command]
name = "CPU1"
command = a, D, D, D, D, D, D, D
time = 1

[command]
name = "CPU2"
command = D, a, D, D, D, D, D, D
time = 1

[command]
name = "CPU3"
command = D, D, a, D, D, D, D, D
time = 1

[command]
name = "CPU4"
command = z, z, z, z, z, z, z, z
time = 1

[command]
name = "CPU5"
command = z, z, z, z, z, a, z, z
time = 1

[command]
name = "CPU6"
command = z, z, z, z, z, z, z, a
time = 1

[command]
name = "CPU7"
command = B, B, B, B, B, B, a, B
time = 1

[command]
name = "CPU8"
command = B, B, B, B, B, B, B, B
time = 1

[command]
name = "CPU9"
command = B, B, a, B, B, B, B, B
time = 1

[command]
name = "CPU10"
command = x, x, a, x, x, x, x, x
time = 1

[command]
name = "CPU11"
command = x, x, x, x, x, x, x, a
time = 1

[command]
name = "CPU12"
command = x, x, x, x, x, x, x, x
time = 1

[command]
name = "CPU13"
command = U, U, U, U, a, U, U, U
time = 1

[command]
name = "CPU14"
command = U, U, U, a, U, a, U, U
time = 1

[command]
name = "CPU15"
command = U, U, U, a, U, a, U, a
time = 1

[command]
name = "CPU1"
command = a, D, D, D, D, D, D, D
time = 1

[command]
name = "CPU2"
command = D, a, D, D, D, D, D, D
time = 1

[command]
name = "CPU3"
command = D, D, a, D, D, D, D, D
time = 1

[command]
name = "CPU4"
command = z, z, z, z, z, z, z, z
time = 1

[command]
name = "CPU5"
command = z, z, z, z, z, a, z, z
time = 1

[command]
name = "CPU6"
command = z, z, z, z, z, z, z, a
time = 1

[command]
name = "CPU7"
command = B, B, B, B, B, B, a, B
time = 1

[command]
name = "CPU8"
command = B, B, B, B, B, B, B, B
time = 1

[command]
name = "CPU9"
command = B, B, a, B, B, B, B, B
time = 1

[command]
name = "CPU10"
command = x, x, a, x, x, x, x, x
time = 1

[command]
name = "CPU11"
command = x, x, x, x, x, x, x, a
time = 1

[command]
name = "CPU12"
command = x, x, x, x, x, x, x, x
time = 1

[command]
name = "CPU13"
command = U, U, U, U, a, U, U, U
time = 1

[command]
name = "CPU14"
command = U, U, U, a, U, a, U, U
time = 1

[command]
name = "CPU15"
command = U, U, U, a, U, a, U, a
time = 1

;---------

[Command]
name = "623A"
command = ~F, D, DF, x
time = 10

[Command]
name = "623B"
command = ~F, D, DF, y
time = 10

[Command]
name = "623C"
command = ~F, D, DF, z
time = 10


[Command]
name = "236A"
command = ~D, DF, F, x
time = 15


[Command]
name = "236B"
command = ~D, DF, F, y
time = 15


[Command]
name = "236C"
command = ~D, DF, F, z
time = 15


[Command]
name = "214A"
command = ~D, DB, B, x
time = 15


[Command]
name = "214B"
command = ~D, DB, B, y
time = 15


[Command]
name = "214C"
command = ~D, DB, B, z
time = 15


[Command]
name = "teikuu"
command = F, F, $U
;time = 15



[Command]
name = "236_bc"
command = ~D, DF, F, b+c
;time = 15

;;;;↓簡略化コマンド
[Command]
name = "632146_a"
command = B,F,a
[Command]
name = "641236_a"
command = ~F,B,F,a
[Command]
name = "412364_a"
command = ~B,F,B,a

[Command]
name = "63214_y"
command = ~F, DF, D, DB, B, y

[Command]
name = "632146_a"
command = ~F, DF, D, DB, B, F, a
[Command]
name = "41236_a"
command = ~B, DB, D, DF, F, a
[Command]
name = "641236_a"
command = ~F, B, DB, D, DF, F, a
[Command]
name = "63214_a"
command = ~F, DF, D, DB, B, a
[Command]
name = "63214xy"
command = ~F, DF, D, DB, B, x+y
[Command]
name = "214xy"
command = ~D, DB, B, x+y
time = 15

[Command]
name = "236xy"
command = ~D, DF, F, x+y
time = 20

;[Command]
;name = "623xy"
;command = ~F, D, DF, x+y
[Command]
name = "623xy"
command = ~B,DB,D,DF,F, x+y
;[Command]
;name = "421xy"
;command = ~B, D, DB, x+y
[Command]
name = "421xy"
command = ~F,DF,D,DB,B, x+y

[Command]
name = "236236_a"
command = ~D, DF, F, D, DF, F, a
time = 40
[Command]
name = "236236_x"
command = ~D, DF, F, D, DF, F, x
time = 40
[Command]
name = "236236_y"
command = ~D, DF, F, D, DF, F, y
time = 40
[Command]
name = "236236_cy"
command = ~D, DF, F, D, DF, F, c+y
time = 40
[Command]
name = "214214_x"
command = ~D, DB, B, D, DB, B, x
time = 40
[Command]
name = "214214_y"
command = ~D, DB, B, D, DB, B, y
time = 40
[Command]
name = "214214_a"
command = ~D, DB, B, D, DB, B, a
time = 40
[Command]
name = "214214_b"
command = ~D, DB, B, D, DB, B, b
time = 40


[Command]
name = "high"
command = DB, UF
time = 8
[Command]
name = "high"
command = D, UF
time = 8
[Command]
name = "high2"
command = D, $U
time = 8



[Command]
name = "tuika"
command = ~D, DF, F, s



[Command]
name = "421_a"
command = ~B, D, DB, a
[Command]
name = "214_a"
command = ~D, DB, B, a
[Command]
name = "214_b"
command = ~D, DB, B, b
[Command]
name = "214_x"
command = ~D, DB, B, x
[Command]
name = "214_y"
command = ~D, DB, B, y
[Command]
name = "214_z"
command = ~D, DB, B, z

[Command]
name = "421_x"
command = ~B, D, DB, x
[Command]
name = "421_y"
command = ~B, D, DB, y
[Command]
name = "421_z"
command = ~B, D, DB, z


[Command]
name = "236_a"
command = ~D, DF, F, a
[Command]
name = "623_x"
command = ~F, D, DF, x
[Command]
name = "623_y"
command = ~F, D, DF, y
[Command]
name = "623_z"
command = ~F, D, DF, z
[Command]
name = "623_a"
command = ~F, D, DF, a

[Command]
name = "236_x"
command = ~D, DF, F, x
[Command]
name = "236_y"
command = ~D, DF, F, y
[Command]
name = "236_z"
command = ~D, DF, F, z





;-| Super Motions |--------------------------------------------------------


;-------------------------------

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10



;-| 2/3 Button Combination |-----------------------------------------------

[Command]
name = "recovery";Required (do not remove)
command = x
time = 1
[Command]
name = "recovery";Required (do not remove)
command = y
time = 1
[Command]
name = "recovery";Required (do not remove)
command = z
time = 1




;-| Dir + Button |---------------------------------------------------------

[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

[Command]
name = "fwd_z"
command = /$F,z
time = 1

[Command]
name = "fwd_b"
command = /$F,b
time = 1

[Command]
name = "fwd_c"
command = /$F,c
time = 1

[Command]
name = "fwd_b"        ;Alternative button command
command = /$B,b
time = 1

[Command]
name = "fwd_c"        ;Alternative button command
command = /$B,c
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "fwd"
command = F
time = 1

[Command]
name = "back"
command = B
time = 1

[Command]
name = "up"
command = U
time = 1

[Command]
name = "down"
command = D
time = 1

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1


[Command]
name = "jump"
command = $U
time = 1


;-| Hold Single Button |----------------------------------------------------
[Command]
name = "holdx"
command = /x
time = 1

[Command]
name = "holdy"
command = /y
time = 1

[Command]
name = "holdz"
command = /z
time = 1

[Command]
name = "holda"
command = /a
time = 1

[Command]
name = "holdb"
command = /b
time = 1

[Command]
name = "holdc"
command = /c
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1



;---------------------------------------------------------------------------
; 2. State entry
;---------------------------------------------------------------------------
[Statedef -1]

;===========================================================================

;---------------------------------------------------------------------------
;Hyper Attacks
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------



[State -1, sprak];アルカナフォース
type = ChangeState
value = 7010
triggerall = var(59) = 0
triggerall = var(59) != 30
triggerall = var(41) = 3
triggerall = fvar(12) = 0
triggerall = command = "y"
triggerall = command = "z"
;triggerall = statetype = S || statetype = C
triggerall = movetype != A
trigger1 = life > 0
trigger1 = stateno != 7010


[State -1]
type = ChangeState
value = 10020
triggerall = power >= 1000
triggerall = var(59) != 30
triggerall = command = "236C"
triggerall = statetype != L
trigger1 = ctrl = 1 || stateno = 9905 || stateno = 9906 || stateno = 9915 || stateno = 9916 || stateno = 9925  || stateno = 9926 || stateno = 9036 || stateno = 5203 || stateno = 40 
trigger2 = stateno = 10000 || stateno = 10005
trigger2 = movecontact


[State -1]
type = ChangeState
value = 2000
triggerall = var(41) = 3
triggerall = var(59) != 30
triggerall = power >= 1000
triggerall = command = "214xy";63214xy"
triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9905 || stateno = 9906 || stateno = 9915 || stateno = 9916
trigger2 = hitdefattr = SC, NA, SA
trigger2 = movecontact
trigger3 = stateno = 9677
trigger4 = stateno = 1024

[State -1]
type = ChangeState
value = 2005
triggerall = var(41) = 3
triggerall = var(59) != 30
triggerall = power >= 1000
triggerall = command = "214xy";63214xy"
triggerall = statetype = A
trigger1 = ctrl = 1 || stateno = 9905 || stateno = 9906 || stateno = 9915 || stateno = 9916
trigger2 = hitdefattr = A, NA, SA
trigger2 = movecontact
trigger3 = stateno = 9677
trigger4 = stateno = 1024

;---------------------------------------------------------------------------
; 
;623A
[State -1]
type = ChangeState
value = 10000
triggerall = var(33) != 11
triggerall = var(41) = 0 || var(41) = 3
triggerall = command = "623A"
triggerall = statetype != L
trigger1 = ctrl = 1 || stateno = 9905 || stateno = 9906 || stateno = 9915 || stateno = 9916 || stateno = 9925  || stateno = 9926 || stateno = 9036 || stateno = 5203 || stateno = 40
trigger2 = hitdefattr = SC, NA
trigger2 = movecontact
trigger3 = stateno = 9880
trigger3 = time = 1
trigger4 = stateno = 9677


;623B
[State -1]
type = ChangeState
value = 10000
triggerall = var(33) != 11
triggerall = var(41) = 0 || var(41) = 3
triggerall = command = "623B"
triggerall = statetype != L
trigger1 = ctrl = 1 || stateno = 9905 || stateno = 9906 || stateno = 9915 || stateno = 9916 || stateno = 9925  || stateno = 9926 || stateno = 9036 || stateno = 5203 || stateno = 40
trigger2 = hitdefattr = SC, NA
trigger2 = movecontact
trigger3 = stateno = 9880
trigger3 = time = 1
trigger4 = stateno = 9677


;623C
[State -1]
type = ChangeState
value = 10000
triggerall = var(33) != 11
triggerall = var(41) = 0 || var(41) = 3
triggerall = command = "623C"
triggerall = statetype != L
trigger1 = ctrl = 1 || stateno = 9905 || stateno = 9906 || stateno = 9915 || stateno = 9916 || stateno = 9925  || stateno = 9926 || stateno = 9036 || stateno = 5203 || stateno = 40
trigger2 = hitdefattr = SC, NA
trigger2 = movecontact
trigger3 = stateno = 9880
trigger3 = time = 1
trigger4 = stateno = 9677

;623A派生
[State -1]
type = ChangeState
value = 10001
triggerall = var(59) != 30
triggerall = var(33) != 11
triggerall = var(41) = 0 || var(41) = 3
triggerall = stateno = 10000
trigger1 = command = "623A"
trigger2 = command = "623B"
trigger3 = command = "623C"


;623A
[State -1]
type = ChangeState
value = 10002
triggerall = var(59) != 30
triggerall = var(33) != 11
triggerall = var(41) = 0 || var(41) = 3
triggerall = command = "x"
trigger1 = stateno = 10001

;623B
[State -1]
type = ChangeState
value = 10003
triggerall = var(59) != 30
triggerall = var(33) != 11
triggerall = var(41) = 0 || var(41) = 3
triggerall = command = "y"
trigger1 = stateno = 10001

;623C
[State -1]
type = ChangeState
value = 10005
triggerall = var(59) != 30
triggerall = var(33) != 11
triggerall = var(41) = 0 || var(41) = 3
triggerall = command = "z"
trigger1 = stateno = 10001


;236A
[State -1]
type = ChangeState
value = 10010
triggerall = var(33) != 11
triggerall = var(59) != 30
triggerall = var(41) = 0 || var(41) = 3
triggerall = command = "236A"
triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9905 || stateno = 9906 || stateno = 9915 || stateno = 9916 || stateno = 9925  || stateno = 9926 || stateno = 9036 || stateno = 5203 || stateno = 40
trigger2 = hitdefattr = SC, NA
trigger2 = movecontact
trigger3 = stateno = 9880
trigger3 = time = 1
trigger4 = stateno = 9677


;ハイプレッシャー
[State -1]
type = ChangeState
value = 10015
triggerall = var(33) != 11
triggerall = command = "a"
trigger1 = stateno = 10010
trigger2 = stateno = 10012
trigger3 = stateno = 10014
trigger4 = stateno = 10013


;スライディング
[State -1]
type = ChangeState
value = 10013
triggerall = var(33) != 11
triggerall = command = "y"
trigger1 = stateno = 10010
trigger2 = stateno = 10012
trigger3 = stateno = 10014

;ヒールカッター
[State -1]
type = ChangeState
value = 10011
triggerall = var(33) != 11
triggerall = command = "z"
trigger1 = stateno = 10010
trigger2 = stateno = 10013
trigger3 = stateno = 10014


;214A
[State -1]
type = ChangeState
value = 10014
triggerall = var(33) != 11
triggerall = var(41) = 0 || var(41) = 3
triggerall = command = "214A"
triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9905 || stateno = 9906 || stateno = 9915 || stateno = 9916 || stateno = 9925  || stateno = 9926 || stateno = 9036 || stateno = 5203 || stateno = 40
trigger2 = hitdefattr = SC, NA
trigger2 = movecontact
trigger3 = stateno = 9880
trigger3 = time = 1
trigger4 = stateno = 9677












;風ブーメラン超必殺
[State -19]
type = ChangeState
value = 9712
triggerall = power >= 1000
triggerall = var(33) = 2
triggerall = var(41) = 3 ;&& stateno != [1030,1050]
triggerall = command = "236236_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036 || stateno = 1024
trigger2 = hitdefattr = SCA, NA,SA,HA
trigger2 = movecontact; && stateno != 1010 && stateno != [1012,1013]
;火前方発射超必殺
[State -1]
type = ChangeState
value = 9719
triggerall = power >= 1000
triggerall = var(33) = 1
triggerall = var(41) = 3 ;&& stateno != [1030,1050]
triggerall = Numhelper(9718) = 0
triggerall = command = "632146_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036 || stateno = 1024
trigger2 = hitdefattr = SCA, NA,SA,HA || stateno = 2001
trigger2 = movecontact; && stateno != 1010 && stateno != [1012,1013]
;火 轟天焦
[State -1]
type = ChangeState
value = 9717
triggerall = power >= 1000
triggerall = var(33) = 1
triggerall = var(41) = 3 ;&& stateno != [1030,1050]
triggerall = command = "236236_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036 || stateno = 1024
trigger2 = hitdefattr = SCA, NA,SA,HA || stateno = 2001
trigger2 = movecontact; && stateno != 1010 && stateno != [1012,1013]
;樹　超種まき
[State -1]
type = ChangeState
value = 9745
triggerall = power >= 1000
triggerall = var(33) = 8
triggerall = var(41) = 3 ;&& stateno != [1030,1050]
triggerall = Numhelper(9745) = 0
triggerall = command = "214214_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036 || stateno = 1024
trigger2 = hitdefattr = SCA, NA,SA,HA || stateno = 2001
trigger2 = movecontact; && stateno != 1010 && stateno != [1012,1013]
;樹　触手プレイ
[State -1]
type = ChangeState
value = 9746
triggerall = power >= 1000
triggerall = var(33) = 8
triggerall = var(41) = 3 ;&& stateno != [1030,1050]
triggerall = command = "236236_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036 || stateno = 1024
trigger2 = hitdefattr = SCA, NA,SA,HA || stateno = 2001
trigger2 = movecontact; && stateno != 1010 && stateno != [1012,1013]
;闇　さんれんげき
[State -1]
type = ChangeState
value = 9781
triggerall = power >= 1000
triggerall = var(33) = 9
triggerall = var(41) = 3 ;&& stateno != [1030,1050]
triggerall = command = "236236_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036 || stateno = 1024
trigger2 = hitdefattr = SCA, NA,SA,HA || stateno = 2001
trigger2 = movecontact; && stateno != 1010 && stateno != [1012,1013]
;雷　設置２３６
[State -1]
type = ChangeState
value = 9802
triggerall = power >= 1000
triggerall = var(33) = 5
triggerall = var(41) = 3 ;&& stateno != [1030,1050]
triggerall = command = "63214_a"
triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036 || stateno = 1024
trigger2 = hitdefattr = SC, NA
trigger2 = movecontact; && stateno != 1010 && stateno != [1012,1013]
;雷　設置２３６
[State -1]
type = ChangeState
value = 9796
triggerall = power >= 1000
triggerall = var(33) = 5
triggerall = var(41) = 3 ;&& stateno != [1030,1050]
triggerall = command = "236236_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036 || stateno = 1024
trigger2 = hitdefattr = SCA, NA,SA,HA || stateno = 2001
trigger2 = movecontact; && stateno != 1010 && stateno != [1012,1013]
;雷　設置２14
[State -1]
type = ChangeState
value = 9801
triggerall = power >= 1000
triggerall = var(33) = 5
triggerall = var(41) = 3 ;&& stateno != [1030,1050]
triggerall = command = "214214_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036 || stateno = 1024
trigger2 = hitdefattr = SCA, NA,SA,HA || stateno = 2001
trigger2 = movecontact; && stateno != 1010 && stateno != [1012,1013]
;落とし穴　設置
[State -1]
type = ChangeState
value = 9820
triggerall = power >= 1000
triggerall = var(33) = 3
triggerall = var(41) = 3 ;&& stateno != [1030,1050]
triggerall = command = "236236_a"
triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036 || stateno = 1024
trigger2 = hitdefattr = SC, NA
trigger2 = movecontact; && stateno != 1010 && stateno != [1012,1013]
;入れ替え
[State -1]
type = ChangeState
value = 9825
triggerall = power >= 1000
triggerall = var(33) = 3
triggerall = var(59) = 0
triggerall = var(41) = 3 ;&& stateno != [1030,1050]
triggerall = command = "41236_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036 || stateno = 1024
trigger2 = hitdefattr = SCA, NA,SA,HA || stateno = 2001
trigger2 = movecontact; && stateno != 1010 && stateno != [1012,1013]
;吸い取っちゃう
[State -1]
type = ChangeState
value = 9831
triggerall = power >= 1000
triggerall = var(33) = 3
triggerall = var(41) = 3 ;&& stateno != [1030,1050]
triggerall = var(59) = 0
triggerall = command = "632146_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036 || stateno = 1024
trigger2 = hitdefattr = SCA, NA,SA,HA || stateno = 2001
trigger2 = movecontact; && stateno != 1010 && stateno != [1012,1013]

;水玉
[State -1]
type = ChangeState
value = 9857
triggerall = Numhelper(9851) + Numhelper(9854) <= 2
triggerall = power >= 1000
triggerall = var(33) = 0
triggerall = var(41) = 3 ;&& stateno != [1030,1050]
triggerall = command = "214214_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036 || stateno = 1024
trigger2 = hitdefattr = SCA, NA,SA,HA || stateno = 2001
trigger2 = movecontact; && stateno != 1010 && stateno != [1012,1013]
;水投げ
[State -1]
type = ChangeState
value = 9858
triggerall = power >= 1000
triggerall = var(33) = 0
triggerall = var(41) = 3 ;&& stateno != [1030,1050]
triggerall = command = "63214_a" || command = "41236_a"
triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036 || stateno = 1024
trigger2 = hitdefattr = SC, NA
trigger2 = movecontact; && stateno != 1010 && stateno != [1012,1013]
;愛　超レーザー
[State -1]
type = ChangeState
value = 9862
triggerall = power >= 1000 || fvar(12) = 0.1
triggerall = var(33) = 4
triggerall = var(41) = 3 ;&& stateno != [1030,1050]
triggerall = command = "41236_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036 || stateno = 1024
trigger2 = hitdefattr = SCA, NA,SA,HA || stateno = 2001
trigger2 = movecontact; && stateno != 1010 && stateno != [1012,1013]
;愛　誘導弾３連発
[State -1]
type = ChangeState
value = 9861
triggerall = power >= 1000 || fvar(12) = 0.1
triggerall = var(33) = 4
triggerall = var(41) = 3 ;&& stateno != [1030,1050]
triggerall = command = "236236_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036 || stateno = 1024
trigger2 = hitdefattr = SCA, NA,SA,HA || stateno = 2001
trigger2 = movecontact; && stateno != 1010 && stateno != [1012,1013]
;土　超手
[State -1]
type = ChangeState
value = 9645
triggerall = power >= 1000
triggerall = var(33) = 6
triggerall = var(41) = 3 ;&& stateno != [1030,1050]
triggerall = command = "641236_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036 || stateno = 1024
trigger2 = hitdefattr = SCA, NA,SA,HA || stateno = 2001
trigger2 = movecontact; && stateno != 1010 && stateno != [1012,1013]
;土　超足
[State -1]
type = ChangeState
value = 9648
triggerall = power >= 1000
triggerall = var(33) = 6
triggerall = var(41) = 3 ;&& stateno != [1030,1050]
triggerall = command = "236236_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036 || stateno = 1024
trigger2 = hitdefattr = SCA, NA,SA,HA || stateno = 2001
trigger2 = movecontact; && stateno != 1010 && stateno != [1012,1013]
;時　タイマー
[State -1]
type = ChangeState
value = 9664
triggerall = Numhelper(9665) = 0
triggerall = power >= 1000
triggerall = var(33) = 7
triggerall = var(41) = 3 ;&& stateno != [1030,1050]
triggerall = command = "236236_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036 || stateno = 1024
trigger2 = hitdefattr = SCA, NA,SA,HA || stateno = 2001
trigger2 = movecontact; && stateno != 1010 && stateno != [1012,1013]
[State -1];ディフェンス
type = ChangeState
value = 9675
triggerall = power >= 1000
triggerall = var(33) = 10
triggerall = var(41) = 3 ;&& stateno != [1030,1050]
triggerall = command = "214214_a"
triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036 || stateno = 1024
trigger2 = hitdefattr = SC, NA,SA,HA
trigger2 = movecontact; && stateno != 1010 && stateno != [1012,1013]
trigger3 = stateno = 9677
[State -1];レベル
type = ChangeState
value = 9676
triggerall = power >= 1000
triggerall = var(33) = 10
triggerall = var(41) = 3 ;&& stateno != [1030,1050]
triggerall = command = "41236_a"
triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036 || stateno = 1024
trigger2 = hitdefattr = SC, NA,SA,HA
trigger2 = movecontact; && stateno != 1010 && stateno != [1012,1013]
trigger3 = stateno = 9677
[State -1];
type = ChangeState
value = 9678
triggerall = power >= 1000
triggerall = var(33) = 10
triggerall = var(41) = 3 ;&& stateno != [1030,1050]
triggerall = command = "63214_a";"236236_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036 || stateno = 1024
trigger2 = hitdefattr = SCA, NA,SA,HA
trigger2 = movecontact; && stateno != 1010 && stateno != [1012,1013]
trigger3 = stateno = 9677
[State -1];power
type = ChangeState
value = 9684
triggerall = power >= 1000
triggerall = var(33) = 10
triggerall = var(41) = 3 ;&& stateno != [1030,1050]
triggerall = command = "236236_a"
triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036 || stateno = 1024
trigger2 = hitdefattr = SC, NA,SA,HA
trigger2 = movecontact; && stateno != 1010 && stateno != [1012,1013]
trigger3 = stateno = 9677

[State -1];愛　元気玉
type = ChangeState
value = 7000
triggerall = fvar(12) = 0.1
triggerall = var(33) = 4
triggerall = var(41) = 3 ;&& stateno != [1030,1050]
triggerall = command = "y"
triggerall = command = "z"
triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036 || stateno = 1024
trigger2 = hitdefattr = SC, NA,SA,HA
trigger2 = movecontact
[State -1];水　無の境地
type = ChangeState
value = 7020
triggerall = fvar(12) = 0.1
triggerall = var(33) = 0
triggerall = var(41) = 3 ;&& stateno != [1030,1050]
triggerall = command = "y"
triggerall = command = "z"
triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036 || stateno = 1024
trigger2 = hitdefattr = SC, NA,SA,HA
trigger2 = movecontact
[State -1];時　
type = ChangeState
value = 7025
triggerall = fvar(12) = 0.1
triggerall = var(33) = 7
triggerall = var(41) = 3 ;&& stateno != [1030,1050]
triggerall = command = "y"
triggerall = command = "z"
triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036 || stateno = 1024
trigger2 = hitdefattr = SC, NA,SA,HA
trigger2 = movecontact
[State -1];樹
type = ChangeState
value = 7030
triggerall = fvar(12) = 0.1
triggerall = var(33) = 8
triggerall = var(41) = 3 ;&& stateno != [1030,1050]
triggerall = command = "y"
triggerall = command = "z"
triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036 || stateno = 1024
trigger2 = hitdefattr = SC, NA,SA,HA
trigger2 = movecontact
[State -1];闇
type = ChangeState
value = 7050
triggerall = fvar(12) = 0.1
triggerall = var(33) = 9
triggerall = var(41) = 3 ;&& stateno != [1030,1050]
triggerall = command = "y"
triggerall = command = "z"
triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036 || stateno = 1024
trigger2 = hitdefattr = SC, NA,SA,HA
trigger2 = movecontact
[State -1];魔
type = ChangeState
value = 7070
triggerall = fvar(12) = 0.1
triggerall = var(33) = 3
triggerall = var(41) = 3 ;&& stateno != [1030,1050]
triggerall = command = "y"
triggerall = command = "z"
triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036 || stateno = 1024
trigger2 = hitdefattr = SC, NA,SA,HA
trigger2 = movecontact
[State -1];鋼
type = ChangeState
value = 7080
triggerall = fvar(12) = 0.1
triggerall = var(33) = 10
triggerall = var(41) = 3 ;&& stateno != [1030,1050]
triggerall = command = "y"
triggerall = command = "z"
triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036 || stateno = 1024
trigger2 = hitdefattr = SC, NA,SA,HA
trigger2 = movecontact
trigger3 = stateno = 9677
[State -1];風
type = ChangeState
value = 7100
triggerall = fvar(12) = 0.1
triggerall = var(33) = 2
triggerall = var(41) = 3 ;&& stateno != [1030,1050]
triggerall = command = "y"
triggerall = command = "z"
triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036 || stateno = 1024
trigger2 = hitdefattr = SC, NA,SA,HA
trigger2 = movecontact
[State -1];土
type = ChangeState
value = 7045;7150
triggerall = fvar(12) = 0.1
triggerall = var(33) = 6
triggerall = var(41) = 3 ;&& stateno != [1030,1050]
triggerall = command = "y"
triggerall = command = "z"
triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036 || stateno = 1024
trigger2 = hitdefattr = SC, NA,SA,HA
trigger2 = movecontact
[State -1];雷
type = ChangeState
value = 7160
triggerall = fvar(12) = 0.1
triggerall = var(33) = 5
triggerall = var(41) = 3 ;&& stateno != [1030,1050]
triggerall = command = "y"
triggerall = command = "z"
triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036 || stateno = 1024
trigger2 = hitdefattr = SC, NA,SA,HA
trigger2 = movecontact
[State -1];火
type = ChangeState
value = 7170
triggerall = fvar(12) = 0.1
triggerall = var(33) = 1
triggerall = var(41) = 3 ;&& stateno != [1030,1050]
triggerall = command = "y"
triggerall = command = "z"
triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036 || stateno = 1024
trigger2 = hitdefattr = SC, NA,SA,HA
trigger2 = movecontact








;風　竜巻
[State -1]
type = ChangeState
value = 9700
triggerall = var(33) = 2
triggerall = var(41) = 3
triggerall = Numhelper(9701) = 0
triggerall = command = "214_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036
trigger2 = hitdefattr = SCA, NA
trigger2 = movecontact
;風　ブーメラン
[State -1]
type = ChangeState
value = 9710
triggerall = var(33) = 2
triggerall = var(41) = 3
triggerall = Numhelper(9711) = 0
triggerall = command = "236_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036
trigger2 = hitdefattr = SCA, NA
trigger2 = movecontact
[State -1];ガーキャン６D　風
type = ChangeState
value = 9030
triggerall = var(16) >= 1
triggerall = var(33) = 2
triggerall = var(41) = 3
triggerall = command = "a"
triggerall = command = "holdfwd" || command = "fwd"
;triggerall = statetype != A
trigger1 = stateno = [150,155]
[State -1];ガーキャン６D　土地上
type = ChangeState
value = 9025
triggerall = var(16) >= 1
triggerall = var(33) = 6
triggerall = var(41) = 3
triggerall = command = "a"
triggerall = command = "holdfwd" || command = "fwd"
triggerall = statetype != A
trigger1 = stateno = [150,155]
[State -1];ガーキャン６D　土air
type = ChangeState
value = 9032
triggerall = var(16) >= 1
triggerall = var(33) = 6
triggerall = var(41) = 3
triggerall = command = "a"
triggerall = command = "holdfwd" || command = "fwd"
triggerall = statetype = A
trigger1 = stateno = [150,155]
[State -1];ガーキャン６D　そのた
type = ChangeState
value = 9032
triggerall = var(16) >= 1
triggerall = var(33) != 2 && var(33) != 6
triggerall = var(41) = 3
triggerall = command = "a"
triggerall = command = "holdfwd" || command = "fwd"
;triggerall = statetype != A
trigger1 = stateno = [150,155]
[State -1];ガーキャン4D
type = ChangeState
value = 9036
triggerall = var(16) >= 1
triggerall = var(41) = 3
triggerall = command = "a"
triggerall = command = "holdback" || command = "back"
triggerall = statetype != A
trigger1 = stateno = [150,155]
[State -1];ガーキャン4D air
type = ChangeState
value = 9037
triggerall = var(16) >= 1
triggerall = var(41) = 3
triggerall = command = "a"
triggerall = command = "holdback" || command = "back"
triggerall = statetype = A
trigger1 = stateno = [150,155]


;火　斜め上
[State -1]
type = ChangeState
value = 9720
triggerall = var(33) = 1
triggerall = var(41) = 3
triggerall = Numhelper(9721) = 0
triggerall = command = "236_a"
triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036
trigger2 = hitdefattr = SC, NA
trigger2 = movecontact
[State -1]
type = ChangeState
value = 9722
triggerall = var(33) = 1
triggerall = var(41) = 3
triggerall = Numhelper(9721) = 0
triggerall = command = "236_a"
triggerall = statetype = A
trigger1 = ctrl = 1 || stateno = 9036
trigger2 = hitdefattr = A, NA
trigger2 = movecontact
[State -1];溜めれるの
type = ChangeState
value = 9725
triggerall = var(33) = 1
triggerall = var(41) = 3
triggerall = Numhelper(9721) = 0
triggerall = command = "63214_a"
trigger1 = ctrl = 1 || stateno = 9036
trigger2 = hitdefattr = SCA, NA
trigger2 = movecontact


;樹　種　地
[State -1]
type = ChangeState
value = 9730
triggerall = var(33) = 8
triggerall = var(41) = 3
triggerall = Numhelper(9732) <= 2
triggerall = command = "214_a"
triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036
trigger2 = hitdefattr = SC, NA
trigger2 = movecontact
[State -1];空中　種
type = ChangeState
value = 9736
triggerall = var(33) = 8
triggerall = var(41) = 3
triggerall = Numhelper(9732) <= 2
triggerall = command = "214_a"
triggerall = statetype = A
trigger1 = ctrl = 1 || stateno = 9036
trigger2 = hitdefattr = A, NA
trigger2 = movecontact
[State -1];蔓 Naname
type = ChangeState
value = 9742
triggerall = var(33) = 8
triggerall = var(41) = 3
triggerall = command = "623_a"
trigger1 = ctrl = 1 || stateno = 9036
trigger2 = hitdefattr = SCA, NA
trigger2 = movecontact
[State -1];蔓
type = ChangeState
value = 9739
triggerall = var(33) = 8
triggerall = var(41) = 3
triggerall = command = "236_a"
trigger1 = ctrl = 1 || stateno = 9036
trigger2 = hitdefattr = SCA, NA
trigger2 = movecontact

[State -1];パクン
type = ChangeState
value = 9761
triggerall = var(33) = 9
triggerall = var(41) = 3
triggerall = Numhelper(9770) >= 1
triggerall = command = "623_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036
trigger2 = hitdefattr = SCA, NA
trigger2 = movecontact
;闇　ガブッ
[State -1]
type = ChangeState
value = 9760
triggerall = var(33) = 9
triggerall = var(41) = 3
triggerall = Numhelper(9770) >= 1
triggerall = command = "236_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036
trigger2 = hitdefattr = SCA, NA
trigger2 = movecontact
[State -1];ドロドロ
type = ChangeState
value = 9762
triggerall = var(33) = 9
triggerall = var(41) = 3
triggerall = Numhelper(9770) >= 1
triggerall = command = "214_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036
trigger2 = hitdefattr = SCA, NA
trigger2 = movecontact


;雷
[State -1];相殺から
type = ChangeState
value = 9793
triggerall = var(33) = 5
triggerall = var(41) = 3
triggerall = command = "623_a"
;triggerall = statetype != A
trigger1 = hitdefattr = SCA, NA
trigger1 = movecontact
trigger1 = enemy,movetype != H
[State -1];236
type = ChangeState
value = 9790
triggerall = var(33) = 5
triggerall = var(41) = 3
triggerall = Numhelper(1069) = 0
triggerall = command = "236_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036
trigger2 = hitdefattr = SCA, NA
trigger2 = movecontact

;魔
[State -1];623
type = ChangeState
value = 9818
triggerall = var(33) = 3
triggerall = var(41) = 3
triggerall = command = "623_a"
triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036
trigger2 = hitdefattr = SCA, NA
trigger2 = movecontact
[State -1];623
type = ChangeState
value = 9818
triggerall = fvar(13) = 0
triggerall = var(33) = 3
triggerall = var(41) = 3
triggerall = command = "623_a"
triggerall = statetype = A
trigger1 = ctrl = 1 || stateno = 9036
trigger2 = hitdefattr = A, NA
trigger2 = movecontact
[State -1];236毒
type = ChangeState
value = 9810
triggerall = var(33) = 3
triggerall = var(41) = 3
triggerall = Numhelper(9811) = 0
triggerall = command = "236_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036
trigger2 = hitdefattr = SCA, NA
trigger2 = movecontact
[State -1];421
type = ChangeState
value = 9814
triggerall = var(33) = 3
triggerall = var(41) = 3
triggerall = command = "421_a"
triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036
trigger2 = hitdefattr = SCA, NA
trigger2 = movecontact
[State -1];421
type = ChangeState
value = 9814
triggerall = fvar(13) = 0
triggerall = var(33) = 3
triggerall = var(41) = 3
triggerall = command = "421_a"
triggerall = statetype = A
trigger1 = ctrl = 1 || stateno = 9036
trigger2 = hitdefattr = A, NA
trigger2 = movecontact

;水
[State -1];
type = ChangeState
value = 9856
triggerall = var(33) = 0
triggerall = var(41) = 3
triggerall = Numhelper(9854) >= 1
triggerall = command = "623_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036
trigger2 = hitdefattr = SCA, NA
trigger2 = movecontact
[State -1];設置
type = ChangeState
value = 9853
triggerall = var(33) = 0
triggerall = var(41) = 3
triggerall = Numhelper(9851) = 1
triggerall = command = "236_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036
trigger2 = hitdefattr = SCA, NA
trigger2 = movecontact
[State -1];設置
type = ChangeState
value = 9842
triggerall = var(33) = 0
triggerall = var(41) = 3
triggerall = Numhelper(9851) = 2
triggerall = command = "236_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036
trigger2 = hitdefattr = SCA, NA
trigger2 = movecontact
[State -1];設置
type = ChangeState
value = 9843
triggerall = var(33) = 0
triggerall = var(41) = 3
triggerall = Numhelper(9851) = 3
triggerall = command = "236_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036
trigger2 = hitdefattr = SCA, NA
trigger2 = movecontact

[State -1];召喚
type = ChangeState
value = 9850
triggerall = fvar(13) = 0
triggerall = var(33) = 0
triggerall = var(41) = 3
triggerall = Numhelper(9851) + Numhelper(9854) <= 2
triggerall = command = "214_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036
trigger2 = hitdefattr = SCA, NA
trigger2 = movecontact

;愛
[State -1];レーザー
type = ChangeState
value = 9872
triggerall = var(33) = 4
triggerall = var(41) = 3
triggerall = command = "623_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036
trigger2 = hitdefattr = SCA, NA
trigger2 = movecontact
[State -1];誘導
type = ChangeState
value = 9870
triggerall = var(33) = 4
triggerall = var(41) = 3
triggerall = Numhelper(9871) = 0 || fvar(12) = 0.1
triggerall = command = "236_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036
trigger2 = hitdefattr = SCA, NA
trigger2 = movecontact
[State -1];反射
type = ChangeState
value = 9875
triggerall = var(33) = 4
triggerall = var(59) = 0
triggerall = var(41) = 3
;triggerall = Numhelper(9871) = 0
triggerall = command = "214_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036
trigger2 = hitdefattr = SCA, NA
trigger2 = movecontact

;土
[State -1];手
type = ChangeState
value = 9643
triggerall = var(33) = 6
triggerall = var(41) = 3
triggerall = command = "41236_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036
trigger2 = hitdefattr = SCA, NA
trigger2 = movecontact
[State -1];岩落下
type = ChangeState
value = 9640
triggerall = var(33) = 6
triggerall = var(41) = 3
triggerall = Numhelper(9641) = 0
triggerall = command = "623_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036
trigger2 = hitdefattr = SCA, NA
trigger2 = movecontact

;時
[State -1];発射
type = ChangeState
value = 9660
triggerall = var(33) = 7
triggerall = var(41) = 3
triggerall = Numhelper(9661) = 0
triggerall = command = "236_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036
trigger2 = hitdefattr = SCA, NA
trigger2 = movecontact

;鋼
[State -1];剣発射
type = ChangeState
value = 9670
triggerall = var(33) = 10
triggerall = var(41) = 3
triggerall = Numhelper(9671) = 0
triggerall = command = "236_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036
trigger2 = hitdefattr = SCA, NA
trigger2 = movecontact
[State -1];盾設置
type = ChangeState
value = 9672
triggerall = var(33) = 10
triggerall = var(41) = 3
triggerall = Numhelper(9673) = 0
triggerall = command = "214_a"
;triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036
trigger2 = hitdefattr = SCA, NA
trigger2 = movecontact
[State -1];チャージ
type = ChangeState
value = 9677
triggerall = var(33) = 10
triggerall = var(41) = 3
triggerall = command = "a"
triggerall = command = "holddown"
triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 9036






;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;;空中で空中ジャンプキャンセル
[State -1, Jump]
type = ChangeState
value = 45
triggerall = var(59) = 0 || var(27) = 0
triggerall = var(41) = 0
;triggerall = var(41) = 1
triggerall = var(32) = 0
triggerall = command = "holdup"
trigger1 = statetype = A
trigger1 = hitdefattr = A,NA,SA
trigger1 = movecontact
trigger1 = stateno != 605
ignorehitpause = 1
;空中ジャンプ
[State -1, Jump]
type = ChangeState
value = 45
;triggerall = var(41) != 3
triggerall = var(32) = 0
triggerall = var(2) = 1
;triggerall = command = "up"
triggerall = statetype = A
trigger1 = stateno = [50,51]
trigger1 = time >= 5
trigger2 = ctrl = 1
trigger2 = stateno != [9000,9030]
trigger3 = stateno = 4042
trigger3 = time >= 5
;;空中で空中ダッシュキャンセル
[State -1, Jump]
type = ChangeState
value = 234
triggerall = var(41) = 0
triggerall = command = "FF"
trigger1 = statetype = A
trigger1 = movecontact
trigger1 = hitdefattr = A,NA,SA
trigger1 = stateno != 1011
trigger1 = var(5) = 0
trigger1 = stateno != 605




;;空中で空中ジャンプキャンセル風アルカナ
[State -1, Jump]
type = ChangeState
value = 45
triggerall = var(41) = 3
triggerall = var(33) = 2
triggerall = var(32) <= ifelse(fvar(12)=0.1,2,1)
;triggerall = var(2) = 1
triggerall = command = "holdup"
trigger1 = statetype = A
trigger1 = hitdefattr = A,NA,SA
trigger1 = movecontact
trigger1 = stateno = [9600,9610]
ignorehitpause = 1
;空中ジャンプ 風の谷の
[State -1, Jump]
type = ChangeState
value = 45
triggerall = var(2) = 1
triggerall = var(41) = 3
triggerall = var(33) = 2
triggerall = var(32) <= ifelse(fvar(12)=0.1,2,1)
;triggerall = command = "up"
triggerall = statetype = A
trigger1 = stateno = [50,51]
trigger1 = time >= 5
trigger2 = ctrl = 1
trigger2 = stateno != [9000,9030]
trigger3 = stateno = 4042
trigger3 = time >= 5
;;空中で空中ダッシュキャンセル 風アルカナ
[State -1, Jump]
type = null;ChangeState
value = 234
triggerall = var(41) = 3
triggerall = var(33) = 2
triggerall = command = "FF"
trigger1 = statetype = A
trigger1 = movecontact
trigger1 = hitdefattr = A,NA,SA
trigger1 = stateno != 1011
trigger1 = var(5) <= ifelse(fvar(12)=0.1,2,1)
trigger1 = stateno != 605
;空中ジャンプ 愛のホバリング飛行
[State -1, Jump]
type = ChangeState
value = 9874
triggerall = var(2) = 1
triggerall = var(41) = 3
triggerall = var(33) = 4
triggerall = var(32) <= 1
;triggerall = command = "up"
triggerall = statetype = A
trigger1 = stateno = [50,51]
trigger1 = time >= 5
trigger2 = ctrl = 1
trigger3 = stateno = 4042
trigger3 = time >= 5

;===========================================================================
;---------------------------------------------------------------------------
;ダッシュ Dash Fwd
;
[State -1, Dash Fwd]
type = ChangeState
value = 100
triggerall = Var(41) = 0
triggerall = Var(59) != 1 ;AI doesn't do this move
triggerall = stateno != 101
triggerall = stateno != [10000,13000]
triggerall = numhelper(2990) = 0
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl
[State -1, Dash Fwd]
type = ChangeState
value = 102
triggerall = Var(41) != 0
triggerall = Var(59) != 1 ;AI doesn't do this move
triggerall = stateno != [10000,13000]
triggerall = stateno != [100,103]
triggerall = numhelper(2990) = 0
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl
[State -1, Dash Air]
type = ChangeState
value = 234
;triggerall = Var(20) = 0
triggerall = Var(59) != 1 ;AI doesn't do this move
triggerall = command = "FF"
triggerall = statetype = A
trigger1 = ctrl
trigger1 = stateno != 224
trigger1 = var(5) = 0
trigger2 = movecontact
trigger2 = hitdefattr = A,NA
trigger2 = var(33) = 11
[State -1, Dash Air]
type = ChangeState
value = 234
triggerall = Var(41) = 3
triggerall = Var(33) = 2
triggerall = Var(59) != 1 ;AI doesn't do this move
trigger1 = command = "FF"
trigger1 = statetype = A
trigger1 = ctrl
trigger1 = stateno != 224
trigger1 = var(5) <= ifelse(fvar(12)=0.1,2,1) || Var(32) <= ifelse(fvar(12)=0.1,2,1)


[State -1, Dash Fwd]
type = ChangeState
value = 100
triggerall = Var(41) = 0
triggerall = Var(59) != 1 ;AI doesn't do this move
triggerall = stateno != 101
triggerall = stateno != [10000,13000]
trigger1 = command = "holdfwd"
trigger1 = command = "x"
trigger1 = command = "y"
trigger1 = statetype = S
trigger1 = ctrl

[State -1, Dash Air]
type = ChangeState
value = 234
triggerall = Var(41) = 0
triggerall = Var(59) != 1 ;AI doesn't do this move
trigger1 = command = "holdfwd"
trigger1 = command = "x"
trigger1 = command = "y"
trigger1 = statetype = A
trigger1 = ctrl
trigger1 = stateno != 224
trigger1 = var(5) = 0



;---------------------------------------------------------------------------
;回避　Dash Back
[State -1, Dash Back]
type = ChangeState
value = 105
ctrl = 0
triggerall = Var(41) = 0
triggerall = Var(59) != 1 ;AI doesn't do this move
triggerall = stateno != [3,9]
triggerall = stateno != [10000,13000]
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl
;回避　Dash Back
[State -1, Dash Back]
type = ChangeState
value = 105
ctrl = 0
triggerall = Var(41) != 0
triggerall = Var(59) != 1 ;AI doesn't do this move
triggerall = stateno != [3,9]
triggerall = stateno != [10000,13000]
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl


;;回避　AIR Dash Back
[State -1, Dash Back]
type = ChangeState
value = 235
ctrl = 0
triggerall = Var(59) != 1
triggerall = var(41) = 3
triggerall = var(5) = 0
triggerall = Var(33) != 2
trigger1 = command = "BB"
trigger1 = statetype = A
trigger1 = ctrl
;;回避　AIR Dash Back
[State -1, Dash Back]
type = ChangeState
value = 235
ctrl = 0
triggerall = Var(59) != 1
triggerall = var(41) = 3
triggerall = Var(33) = 2
trigger1 = command = "BB"
trigger1 = statetype = A
trigger1 = ctrl
trigger1 = var(5) <= ifelse(fvar(12)=0.1,2,1) || Var(32) <= ifelse(fvar(12)=0.1,2,1)

;;回避　AIR Dash Back
[State -1, Dash Back]
type = ChangeState
value = 235
ctrl = 0
triggerall = Var(59) != 1
triggerall = var(41) != 3
trigger1 = command = "BB"
trigger1 = statetype = A
trigger1 = ctrl
trigger1 = var(5) = 0



;;回避　AIR Dash Back
[State -1, Dash Back]
type = ChangeState
value = 235
ctrl = 0
triggerall = Var(59) != 1 ;AI doesn't do this move
triggerall = var(5) = 0
triggerall = var(41) = 0
trigger1 = command = "holdback"
trigger1 = command = "x"
trigger1 = command = "y"
trigger1 = statetype = A
trigger1 = ctrl
;-------------------
;[State 1, airj]
;type = ChangeState
;triggerall = Var(4) = 0
;triggerall = Vel Y >= 0 
;trigger1 = command = "up";
;trigger1 = statetype = A
;trigger1 = ctrl
;trigger1 = time >= 10
;value = 500

;避け
[State -1, Stand A]
type = ChangeState
value = 9930
triggerall = var(41) = 0
triggerall = var(59) = 0
triggerall = command = "x"
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;jump
[State -1, Dash Back]
type = ChangeState
value = 4040
ctrl = 0
triggerall = Var(41) = 0
triggerall = Var(59) != 1 ;AI doesn't do this move
triggerall = stateno != [10000,13000]
trigger1 = command = "high"
trigger1 = statetype != A
trigger1 = ctrl
;---------------------------------------------------------------------------
;jump
[State -1, Dash Back]
type = ChangeState
value = 4041
ctrl = 0
triggerall = Var(41) != 0
triggerall = Var(59) != 1 ;AI doesn't do this move
triggerall = stateno != [10000,13000]
trigger1 = command = "high2"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;投げ


[State -1, 0];レバー入れ投げ
type = ChangeState
value = 945
triggerall = var(41) = 3
;triggerall = Numhelper(2990) = 0
triggerall = command = "a"
triggerall = command = "x"
triggerall = command = "holdfwd" || command = "holdback"
trigger1 = statetype = S
trigger1 = ctrl
[State -1, 0];ニュートラル投げ
type = ChangeState
value = 940
triggerall = var(41) = 3
;triggerall = Numhelper(2990) = 0
triggerall = command = "a"
triggerall = command = "x"
triggerall = command != "holdfwd" && command != "holdback"
trigger1 = statetype = S
trigger1 = ctrl

[State -1, 0];空中投げ
type = ChangeState
value = 960
triggerall = var(41) = 3
triggerall = command = "a"
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl




;===========================================================================


;---------------------------------------------------------------------------
;シールド
[State -1, Stand A]
type = ChangeState
value = 9900
triggerall = var(41) = 3
triggerall = var(33) = 11
triggerall = var(59) = 0
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = stateno != 9905
triggerall = stateno != 9906
trigger1 = statetype = S
trigger1 = ctrl
;---------------------------------------------------------------------------
;シールド
[State -1, Stand A]
type = ChangeState
value = 9910
triggerall = var(41) = 3
triggerall = var(33) = 11
triggerall = var(59) = 0
triggerall = command = "a"
triggerall = command = "holddown"
triggerall = stateno != 9915
triggerall = stateno != 9916
trigger1 = statetype = C
trigger1 = ctrl
;---------------------------------------------------------------------------
;シールド
[State -1, Stand A]
type = ChangeState
value = 9920
triggerall = var(41) = 3
triggerall = var(33) = 11
triggerall = var(59) = 0
triggerall = command = "a"
triggerall = stateno != 9925
triggerall = stateno != 9926
trigger1 = statetype = A
trigger1 = ctrl


;=========================================================
;=========================================================
;=========================================================
;アルカナ=================================================
;=========================================================
;=========================================================
;--------------------------------


[State -1, Stand X];パンチ
type = ChangeState
value = 9200
triggerall = var(41) = 3 && var(33)!=11
triggerall = command = "x"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 1001 || stateno = 1003;[1000,1005]
trigger2 = ifelse(var(27)>=1,time >= 10, time>= 12 && enemy,movetype != H)
trigger3 = movecontact
trigger3 = stateno=9200
trigger3 = time >= 4

[State -1, Stand Y];５Y
type = ChangeState
value = 9210
triggerall = var(41) = 3 && var(33)!=11
triggerall = command = "y"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = movecontact && var(33)!=11
trigger2 = stateno=9200 || stateno=9201
trigger3 =stateno=9400
trigger3 = movecontact && var(33)!=11
ignorehitpause = 0


[State -1, 4Z];DEBUG
type = ChangeState
value = 9425
triggerall = var(41) = 3 && var(33)!=11
triggerall = var(59) = 0
triggerall = command = "z"
triggerall = command = "holdback"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = movecontact && var(33)!=11
trigger2 = stateno=9200 || stateno=9201 || stateno=9210 || stateno=9212
trigger3 = stateno=9400 || stateno=9410
trigger3 = movecontact && var(33)!=11

[State -1, 3Z]
type = ChangeState
value = 9425
triggerall = var(41) = 3 && var(33)!=11
triggerall = var(59) = 0
triggerall = command = "z"
triggerall = command = "holdfwd"
triggerall = command = "holddown"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = movecontact && var(33)!=11
trigger2 = stateno=9200 || stateno=9210 || stateno=9212
trigger3 = stateno=9400 || stateno=9410
trigger3 = movecontact && var(33)!=11

[State -1, 6Z];DEBUG
type = ChangeState
value = 9230
triggerall = var(41) = 3 && var(33)!=11
triggerall = var(59) = 0
triggerall = command = "z"
triggerall = command = "holdfwd"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = movecontact && var(33)!=11
trigger2 = stateno=9200 || stateno=9210 || stateno=9212
trigger3 = stateno=9400 || stateno=9410
trigger3 = movecontact && var(33)!=11

[State -1, Stand Z];５Z
type = ChangeState
value = 9211
triggerall = var(41) = 3 && var(33)!=11
triggerall = command = "z"
triggerall = command != "holdfwd"
triggerall = command != "holdback";DEBUG
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = movecontact && var(33)!=11
trigger2 = stateno=9200 || stateno=9210 || stateno=9212
trigger3 = stateno=9400 || stateno=9410
trigger3 = movecontact && var(33)!=11

;--------------------------------
[State -1, crouch X];しゃがみパンチ
type = ChangeState
value = 9400
triggerall = var(41) = 3 && var(33)!=11
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 9200 || stateno = 9400
trigger2 = time >= 6 && var(33)!=11


[State -1, crouch Y];しゃがみぱんち
type = ChangeState
value = 9410
triggerall = var(41) = 3 && var(33)!=11
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = movecontact && var(33)!=11
trigger2 = stateno=9200 || stateno=9210
trigger3 = stateno=9400
trigger3 = movecontact && var(33)!=11

[State -1, crouch Y];しゃがみkeri
type = ChangeState
value = 9420
triggerall = var(41) = 3 && var(33)!=11
triggerall = command = "z"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = movecontact && var(33)!=11
trigger2 = stateno=9200 || stateno=9210 || stateno=9212
trigger3 = stateno=9400 || stateno=9410
trigger3 = movecontact && var(33)!=11

;---------------------------------
[State -1, Air X];空中パンチ
type = ChangeState
value = 9600
triggerall = var(41) = 3 && var(33)!=11
triggerall = command = "x"
triggerall = stateno != 9036
trigger1 = statetype = A
trigger1 = ctrl


[State -1, Air y];空中パンチ2
type = ChangeState
value = 9610
triggerall = var(41) = 3 && var(33)!=11
triggerall = command = "y"
triggerall = stateno != 9036
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = movecontact && var(33)!=11
trigger2 = stateno=9600


[State -1, Air y];空中z
type = ChangeState
value = 9620
triggerall = var(41) = 3 && var(33)!=11
triggerall = stateno != 9036
triggerall = command = "z"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = movecontact && var(33)!=11
trigger2 = stateno=9600 || stateno = 9610 || stateno = 9608


;-------------便利ボタン--------------------------------------------------------------
;避け
[State -1, Stand A]
type = ChangeState
value = 9930
triggerall = var(41) = 0
triggerall = var(59) = 0
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;投げ
;
[State -1, 0]
type = ChangeState
value = 980
triggerall = var(41) = 0
triggerall = Numhelper(2990) = 0
triggerall = command = "b"
triggerall = command = "holdfwd" || command = "holdback"
trigger1 = statetype = S
trigger1 = ctrl
;---------------------------------------------------------------------------
;投げ
;air
[State -1, 0]
type = ChangeState
value = 970
triggerall = var(41) = 0
triggerall = Var(59) =0
triggerall = command = "b"
triggerall = command = "holdfwd" || command = "holdback"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = movehit
trigger2 = stateno = 600
trigger3 = movehit
trigger3 = stateno = 610
trigger4 = movehit
trigger4 = stateno = 620


;---------------------------------------------------------------------------
;Taunt
;
[State -1, Taunt]
type = ChangeState
value = 197
triggerall = var(59) = 0
triggerall = command = "tuika";"start"
;triggerall = command = "holddown"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Taunt
;
[State -1, Taunt]
type = null;ChangeState
value = 195
triggerall = var(59) = 0
triggerall = command = "start"
trigger1 = statetype = S
trigger1 = ctrl





;アルカナ　2Dホーミング
[State -1, arcana]
type = ChangeState
value = 9012
triggerall = var(41) = 3
triggerall = command = "holddown"
triggerall = command = "a"
triggerall = var(16) >= 1
triggerall = stateno != 8201
triggerall = stateno != 8430
;triggerall = stateno != 2000 && stateno != 2010 && stateno != [1020,1030]
triggerall = statetype = A
trigger1 = ctrl = 1
trigger2 = hitdefattr = A, NA,SA,HA
trigger2 = movecontact
trigger3 = stateno = 2040
trigger3 = moveguarded
trigger4 = stateno = [1051,1055]
trigger4 = time = [1,30]
;アルカナ　8Dホーミング
[State -1, arcana]
type = ChangeState
value = 9017
triggerall = var(41) = 3
triggerall = command = "holdup"
triggerall = command = "a"
triggerall = var(16) >= 1
triggerall = stateno != 8201
triggerall = stateno != 8430
;triggerall = stateno != 2000 && stateno != 2010 && stateno != [1020,1030]
triggerall = statetype = A
trigger1 = ctrl = 1
trigger2 = hitdefattr = A, NA,SA,HA
trigger2 = movecontact
trigger3 = stateno = [1051,1055]
trigger3 = time = [1,30]
;アルカナ　NDホーミング
[State -1, arcana]
type = ChangeState
value = 9010
triggerall = var(41) = 3
triggerall = command != "holdfwd"
triggerall = command != "holdback"
triggerall = command != "holdup"
triggerall = command = "a"
triggerall = var(16) >= 1
triggerall = stateno != 8201
triggerall = stateno != 8430
;triggerall = stateno != 2000 && stateno != 2010 && stateno != [1020,1030]
trigger1 = ctrl = 1
trigger1 = var(59) = 0
trigger2 = hitdefattr = SCA, NA,SA,HA,HA
trigger2 = movecontact
trigger3 = stateno = 2040
trigger3 = moveguarded
trigger4 = stateno = [1051,1055]
trigger4 = time = [1,30]
;アルカナ　6Dホーミング　空中
[State -1, arcana]
type = ChangeState
value = 9011
triggerall = var(41) = 3
triggerall = command = "holdfwd"
triggerall = command = "a"
triggerall = var(16) >= 1
triggerall = stateno != 8201
triggerall = stateno != 8430
;triggerall = stateno != 2000 && stateno != 2010 && stateno != [1020,1030]
triggerall = statetype = A
trigger1 = ctrl = 1
trigger2 = hitdefattr = A, NA,SA,HA
trigger2 = movecontact
trigger3 = stateno = [1051,1055]
trigger3 = time = [1,30]
;アルカナ　6Dホーミング 地上
[State -1, arcana]
type = ChangeState
value = 9014
triggerall = var(41) = 3
triggerall = command = "holdfwd"
triggerall = command = "a"
triggerall = var(16) >= 1
triggerall = stateno != 8201
triggerall = stateno != 8430
;triggerall = stateno != 2000 && stateno != 2010 && stateno != [1020,1030]
triggerall = statetype != A
trigger1 = ctrl = 1
trigger2 = hitdefattr = SC, NA,SA,HA
trigger2 = movecontact
trigger3 = stateno = 2040
trigger3 = moveguarded
trigger4 = stateno = [1051,1055]
trigger4 = time = [1,30]
;アルカナ　4Dホーミング 地上
[State -1, arcana]
type = ChangeState
value = 9015
triggerall = var(41) = 3
triggerall = command = "holdback"
triggerall = command = "a"
triggerall = var(16) >= 1
triggerall = stateno != 8201
triggerall = stateno != 8430
;triggerall = stateno != 2000 && stateno != 2010 && stateno != [1020,1030]
triggerall = statetype != A
trigger1 = ctrl = 1
trigger2 = hitdefattr = SC, NA,SA,HA
trigger2 = movecontact
trigger3 = stateno = 2040
trigger3 = moveguarded
trigger4 = stateno = [1051,1055]
trigger4 = time = [1,30]
;アルカナ　4Dホーミング 空中
[State -1, arcana]
type = ChangeState
value = 9018
triggerall = var(41) = 3
triggerall = command = "holdback"
triggerall = command = "a"
triggerall = var(16) >= 1
triggerall = stateno != 8201
triggerall = stateno != 8430
;triggerall = stateno != 2000 && stateno != 2010 && stateno != [1020,1030]
triggerall = statetype = A
trigger1 = ctrl = 1
trigger2 = hitdefattr = A, NA,SA,HA
trigger2 = movecontact
trigger3 = stateno = [1051,1055]
trigger3 = time = [1,30]



